StopWatch issue
@ivelin.peychev wrote: Hi, Why is this code immediately stopped when run inside Rhino. import System from System.Diagnostics import Stopwatch def Main(): zSW = Stopwatch.StartNew() print "StopWatch is...
View ArticleCustom nicknames for sliders C# code
@tognatta.aditya wrote: Dear All, I m using a C# component where I am creating sliders. How can I change the nicknames of these sliders using another string list input into the code? The code I’am...
View ArticleProblem while scripting in python with simple subtraction and multiplication...
@zohaibneduet wrote: Hi all, I am facing some problem while scripting something using For loop in GH-Python. The desired output is a list of values. All the steps are written in the file that is...
View ArticleCurve.Contains help on understanding result
@Holo wrote: Hi guys, this feels very noob, but how do I understand the result from the Curve.Contains command? Right now I convert the result to a string and then checks that, but that doesn’t “feel”...
View ArticleExport Layers to Separate Rhino 5 files from Rhino 6
@jy.yimkay wrote: Hi, I am able to export layers into separate Rhino 6 file using the “Export Layer Objects” rhino script, but I am wondering whether it is possible to modify it such that the files...
View ArticlePython : May the source be with you!
@Dancergraham wrote: Hello everyone, I wrote a script to help me code in python and learn RhinoCommon and decided to share it with you As you may know, the rhinoscriptsyntax library is written in...
View Article[question / wish] additional option for scripted "squish" / "unroll"
@ivelin.peychev wrote: I wish it was possible when creating the flattened surfaces to avoid placing them overlapping one another. Posts: 11 Participants: 4 Read full topic
View Article[python] Usefulness of Multi-Threading
@ivelin.peychev wrote: Hi @stevebaer, Regarding this article. When is it really useful? I am asking because I have a case where I’m tring to cut about 40 000 breps. And the difference is just 1 second...
View ArticleRhino.AddAlignedDimension new bug
@Asterisk wrote: It adds aligned dimension with orientation locked to current CPlane X axis instead of parallel to the points it’s pulled from. That just broke our parts automation to unusable. @dale...
View ArticleSomething's screwy with displaying object UserText thru formula
@Asterisk wrote: I’m using rs.EditBox to assign user text to an object. And I get that extra new line after first one for some reason. @lowell...
View ArticleCurve.CreateInterpolatedCurve- Error (CS0118):
@andresobregonlopez wrote: Hi all! Hello C# World! I am trying to do an Interpolate Curve, but I do not understand How to use this Class. Thanks in advance for any explanation about it! Best Andrés...
View ArticleHow to get text/dim/leader actual text and not the result of a "formula"?
@Asterisk wrote: R5 Rhino.DimensionUserText() would get the actual text, in R6 it’s getting the text field result. It broke bunch of our scripts and I need to fix it ASAP for both Python and...
View ArticleJoin Breps Python
@cotoc_george wrote: Hi, I have an array with breps which are surfaces [<Rhino.Geometry.Brep object at 0x00000000000000FE [Rhino.Geometry.Brep]>, … All the surfaces joined should make 2 big...
View ArticleAdding annotation balloons to block items
@Gijs wrote: I am making a script that does this: image.png1702×916 19.9 KB anyone interested to test and give feedback? Posts: 1 Participants: 1 Read full topic
View Article[python] how to properly reconstruct layer hierarchy after re-importing from...
@omichalek wrote: When one exports a Rhino document into DWG the whole layer tree is flattened - the parent/sublayer hierarchy is lost. The information can be preserved by using the proper export...
View ArticleCutting the object from a given height
@anandhpe wrote: I’m trying to cut the model by adding a plane but I couldn’t find any function in python for such a thing. Please let me know if I’m missing anything. I even tried clipping the plane...
View Article[Python][Eto] drag and drop
@ivelin.peychev wrote: Is it possible to drag-drop 3d objects inside eto form? If so, is there some example somewhere? Thanks in advance. Posts: 1 Participants: 1 Read full topic
View ArticleMove grouped curves in Python Rhino
@henrysayhitou wrote: Hey guys, I’m trying to find a way to move and perhaps rotate a group of curves that was already imported into Rhino. I wanted to complete this through python script editor but...
View ArticlePreview InstanceReference before baking
@flokart wrote: Hi all, is there a way to preview a imported instanceReference object in rhino before baking? At the moment i import a instanceDefinition Geometry and his coresponding...
View Article[python] How to find the key (index) of the minimum non-zero value from a...
@ivelin.peychev wrote: Hi, I cannot seem to find this without the use of numpy. I don’t want to use numpy. Could anyone please help me? Thanks in advance. Posts: 11 Participants: 4 Read full topic
View Article